'''
如何在一个函数中设置跨域问题
'''
from tornado.web import RequestHandler
from tornado.web import RequestHandler

#定义一个基类handler，可以跨域访问
class BaseHandler(RequestHandler):
    #定义一个解决跨域问题的函数 就是3000端口可以访问8000端口关联
    def set_default_headers(self) -> None:
        #表示对所有用户的请求都允许，允许其跨域操作
        self.set_header('Access-Control-Allow-Origin','*')

class IndexHandler(RequestHandler):
    async def get(self):
        self.write('Hello!')