'''
redis的工具类
'''
import redis

#在redis数据库保存验证码
def save_code(email:str,code:str) -> None:
    #创建连接             host为本机id，端口为6379，,数据库为1
    client = redis.Redis(host='localhost',port=6379,db=1)
    #保存传入的参数email地址和code
    client.set(email,code)
    # client.set('name','bjsxt')
    #通过key name获取key
    # print(client.get('name'))


#获取验证码的方法  传送key，通过key获取value
def get_code(email:str) -> str:
    #创建连接
    client = redis.Redis(host='localhost',port=6379,db=1)
    #通过key值获取value
    code = client.get(email)
    #如果有code
    if code:
        #返回一个解码的code
        return code.decode()
    else:
        #返回一个空字符串
        return ''

