'''
前端如何和后端交互的？
'''
# 总控制程序 运行这个程序 如果报错就从上到下查找
import email
from tornado.ioloop import IOLoop#虚拟循环
from forum import create_app,manager#manager异步的方式
from forum.models import *
from uuid import uuid4



#调用启动app的方法
def start_app():
    create_app()
    IOLoop.current().start()#事件循环

#创建表的函数
def create_table():
    # UserModel.create_table()
    # TopicModel.create_table(True)
    # CommentModel.create_table(True)
    # CollectionModel.create_table(True)
    FollowModel.create_table(True)

#增加数据的函数 这里为什么要异步
async def create_data():
    #                            自动生成id
    await manager.create(UserModel,id=uuid4(),email='123@qq.com',password='123')

#测试生成验证码的方法
def generate_code():
    from random import randint
    return randint(1000,9999)

#测试redis数据库
def test_redis():
    import redis
    #创建连接
    client = redis.Redis(host='localhost',port=6379,db=1)
    #创建数据key为name value为bjsxt
    client.set('name','bjsxt')
    #通过name获取value
    print(client.get('name'))

if __name__ == '__main__':
    start_app()
    # create_table()
    # IOLoop.current().run_sync(create_data)
    # print(generate_code())
    # test_redis()

'''

视频用python3.10.1
不显示签名（前后端字段不一样问题） ok
69 多条帖子不显示 不知道原因
76 收藏功能 ok
77 删除收藏 ok
80 关注功能ok
81 ok 82 ok 
'''