''' 
装饰器文件夹  56视频
'''
import functools#导入装饰器包
import jwt
from config import secret,jwt_exp
from forum import manager
from forum.models import UserModel

#自己定义一个登录装饰器
def login_required_async(func):
    @functools.wraps(func)
    #异步
    async def wrapper(self,*arg,**kwargs):
        #验证是不是登录
        #获取token   token在请求头里面
        token = self.request.headers.get('token')
        #通过token 解析email              给谁用什么盐                   用什么方法加密          设置过期时间
        # payload = jwt.decode(token, secret,options={'verfity_exp':True},algorithms=["HS256"],leeway=jwt_exp)
        payload = jwt.decode(token, secret,options={'verify_exp':True},algorithms=["HS256"],leeway=jwt_exp)
        if payload:
            #通过email查询数据
            email = payload.get('email')
            try:
            #异步的查询  通过manager以get请求获取UserModel和email
                user = await manager.get(UserModel,email=email)
                #验证成功 
                self._user_email = email
                self._user_id = user.id
                #登录就调用func()
                await func(self,*arg,**kwargs)
            #验证处理
            except Exception as e:
                self.finish({'msg':'请先登录','code':401})
        #没有登录， 反馈要登录
        else:
            self.finish({'msg':'请先登录','code':401})
    return wrapper
