from tokenize import String
from wtforms_tornado import Form#表单
from wtforms.fields import StringField#字段
from wtforms.fields.simple import HiddenField
from wtforms.validators import DataRequired, Length
from peewee import *

# from wtforms.fields.core import StringField 错误的
#用户注册验证 后期通过正则自己添加验证
class UserForm(Form):
    id= HiddenField()
    email= StringField('账号',validators=[DataRequired(message='请填写合法的邮箱地址'),Length(min=5,max=32,message='请输入长度为5-32的邮箱')])#必须填写
    nick_name= StringField( '昵称',validators=[Length(min=2,max=10,message='请输入长度为2-10的昵称')])
    gender= IntegerField(verbose_name='性别',null=True)#自己加的
    #前端生成加密的密码
    password= StringField('密码',validators=[Length(min=2,message='请输入长度为2以上的密码')])#这里去掉max防止加密之后太长不能验证
    signatrue= StringField('签名')
    pic= StringField('头像')

#登录的验证 视频52
class LoginUserForm(Form):
    id= HiddenField()
    email= StringField('账号',validators=[DataRequired(message='请填写合法的邮箱地址'),Length(min=5,max=32,message='请输入长度为5-32的邮箱')])#必须填写
    nick_name= StringField( '昵称')
    gender= IntegerField(verbose_name='性别',null=True)#自己加的
    password= StringField('密码',validators=[Length(min=2,message='请输入长度为2以上的密码')])#这里去掉max防止加密之后太长不能验证
    signatrue= StringField('签名')
    pic= StringField('头像')

#59
class UpdateUserForm(Form):
    id = HiddenField()
    email = StringField('账号',validators=[DataRequired(message='请填写合法的邮箱地址'),Length(min=5,max=20,message='请输入5-10长度的昵称')])
    nick_name = StringField('昵称',validators=[Length(min=2,max=10,message='请输入2-10长度的昵称')])
    gender = StringField('性别')
    signatrue = StringField('签名')
    pic = StringField('头像')

#67
class AddTopicForm(Form):
    #validators=[DataRequired(message='请填写类型')]这是约束
    type_ = StringField('类型',validators=[DataRequired(message='请选择类型')])
    title = StringField('标题',validators=[DataRequired(message='请填写标题')])
    content = StringField('内容')